<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");

switch ($tela):

    case 'telaGeral':
        echo '<h2>Selecione um código na lista, digite o item e clique salvar.</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');    
		if (post('salvar') !== ""):
		     //agora cria o registro na tbela  escopo
			 $codigoLido=post('codigo');
			 $codigoFinal=$codigoLido.$idLabo;
			 $item=post('item');
          			 
			 
			 
			 
             if(empty($codigoLido)  || strlen($item)<2):
                 printMSG('Precisa selecionar o codigo e digitar um conteudo de pelo menos 3 caracteres, para acontecer a gravação.');			 
			 else:
				 $sql="insert into escopo(esc_nome,esc_nome_legal)";
				 $sql.="values('$codigoFinal','$item')";
				 //echo("sql de gravacao= $codigo   sql=$sql<br>");
				 $userDoc = new generica();
				 $userDoc->campos_valores = $sql;				 
				 $userDoc->inserirEspecial($userDoc);
			 endif;
        endif;		
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "300px",
                "sScrollX": "350px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
			<!--colocar estes asteriscos para ficar sempre com 12 caracteres e o resto sera a ida do lab GATO MIAU-->
        </script>
		     <form class="userform" method="post" action="">
			 Código:
			 <select name="codigo" value="">  
		   		<option></option>   <!--força a pessoa definir-->
		   		<option>TRATAMENTO**</option>
		   		<option>GERMINADOR**</option>
		   		<option>TEMPERATURA*</option>
		   		<option>SUBSTRATO***</option>
		     </select>	
			 <td>Item a incluir:
			  <input type="text" size="25" name="item" maxlength="30" value="" /></td>	
			  <input type="submit"  name="salvar" value="Salvar" /></td>	

        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Referência</th><th>Item</th>
                </tr>
            </thead>
            <tbody>
            <?php 
			$generica=new tabelagenerica();
			$generica->tabela="escopo";
			$generica->campos_valores = array(
			    "esc_nome" => NULL,
			    "esc_nome_legal" => NULL,
			);
			$generica->extras_select =" order by esc_nome";
			$generica->selecionaCampos($generica);
			$registros=0;
			while ($res = $generica->retornaDados()):
			        $texto=$res->esc_nome;
			        if(strlen($texto)>12):
                        if(substr($texto,12)==$idLabo):
		                    echo '<tr>';
		                    printf('<td>%s</td>',substr($texto,0,12));
		                    printf('<td>%s</td>',$res->esc_nome_legal);
		                    echo '</tr>';
						endif; 	
                    endif;
                endwhile;                
                ?>
            </tbody>
			
        </table>
		<br>Orientação: Esta tela nao tem edição nem exclusão portanto use a inclusão com certo cuidado e atenção.
        </form>  
        <?php        
    break;


	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>